; Fichier InnoSetup de cration de l'installeur du Client Scribe
; utilisation :
;  cliscribe-setup.exe /ip_scribe=<adresse_ip_scribe>
;                      /nom_scribe=<nom_serveur_smb>
;                      /port_scribe=<port_scribe>  (port du serveur PerspectiveBroker de contole-vnc 8789)
;                      /nom_4domaine=<nom_domaine_smb>
;                      /port_client=<port_client_scribe>
;
; utilisation de IStools http://www.istool.org/ pour l'importation de ".reg"
;
; ce fichier ncessite :
; - la prsence de C:\WINDOWS\Eole\cliscribe\ et de C:\WINDOWS\Eole\ultravnc\
;
; * les cls de registres sont spcifies dans la partie [Registry].
; Certaines cls sont types avec MinVersion voir la doc InnoSetup pour les dtails
; * les services sont installs dans la partie [Run]

[Setup]
AppName=Client Scribe
; AppId sert  reconnaitre l'application
AppId=CliScribe
AppVerName=Client Scribe 1.0
DefaultDirName={win}\Eole
; interdit la modification du chemin d'installation
DisableDirPage=true
; interdit la modification du chemin de copie des icnes
DisableProgramGroupPage=true
OutputDir=C:
OutputBaseFilename=cliscribe-setup
PrivilegesRequired=admin
AllowCancelDuringInstall=false
SetupIconFile=eole.ico
UninstallDisplayIcon={app}\cliscribe\servscribe.exe
;WizardImageFile=eole.bmp
WizardImageFile=logo-eole.bmp
;WizardImageStretch=false
WizardSmallImageFile=eole.bmp


[Languages]
Name: english; MessagesFile: compiler:Default.isl
Name: french; MessagesFile: compiler:Languages\French.isl

[Files]
Source: C:\WINDOWS\Eole\cliscribe\*; DestDir: {app}\cliscribe; Flags: ignoreversion recursesubdirs createallsubdirs restartreplace uninsrestartdelete
Source: C:\WINDOWS\Eole\ultravnc\*; DestDir: {app}\ultravnc; Flags: ignoreversion recursesubdirs createallsubdirs restartreplace uninsrestartdelete
Source: C:\WINDOWS\system32\ipfw.exe; DestDir: {win}\system32\; Flags: ignoreversion recursesubdirs createallsubdirs restartreplace uninsrestartdelete; MinVersion: 0,5.0.2195
Source: C:\WINDOWS\system32\drivers\ip_fw.sys; DestDir: {win}\system32\drivers\; Flags: ignoreversion recursesubdirs createallsubdirs restartreplace uninsrestartdelete; MinVersion: 0,5.0.2195
; ce fichier est cr dynamiquement car il contient l'IP de Scribe
;Source: C:\WINDOWS\Eole\wipfw\wipfw.conf; DestDir: {app}\wipfw\; Flags: ignoreversion recursesubdirs createallsubdirs restartreplace; MinVersion: 0,5.0.2195
Source: C:\WINDOWS\Eole\wipfw\config.cmd; DestDir: {app}\wipfw\; AfterInstall: ConfigWipfw; Flags: ignoreversion recursesubdirs createallsubdirs restartreplace uninsrestartdelete; MinVersion: 0,5.0.2195

[Registry]
; client Scribe
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: ip_scribe; ValueData: {param:ip_scribe|1.1.1.1}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: ip_access_list; ValueData: ['{param:ip_scribe|1.1.1.1}', '127.0.0.1']
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: inst_path; ValueData: {app}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: port_client; ValueData: {param:port_client|8788}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: port_scribe; ValueData: {param:port_scribe|8789}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: port_utilisateur; ValueData: {param:port_utilisateur|8791}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: nom_scribe; ValueData: {param:nom_scribe|scribe}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: nom_domaine; ValueData: {param:nom_domaine|workgroup}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: debug_logon; ValueData: 1

; configuration du poste XP
Root: HKLM; Subkey: Software\Microsoft\Windows NT\CurrentVersion\Winlogon; ValueType: dword; ValueName: DeleteRoamingCache; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\NetCache; ValueType: dword; ValueName: Enabled; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\Policies\System; ValueType: dword; ValueName: DontDisplayLastUserName; ValueData: $00000001; Flags: uninsdeletekey; MinVersion: 0,4.0.1381
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\Applets\Tour; ValueType: dword; ValueName: RunCount; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\Policies\System; ValueType: dword; ValueName: DisableCAD; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKU; Subkey: .DEFAULT\Control Panel\Keyboard; ValueType: string; ValueName: InitialKeyboardIndicators; ValueData: 2; MinVersion: 0,4.0.1381
; cliscribe.dll (2K et XP)
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\Notify\cliscribe; ValueType: string; ValueName: Dllname; ValueData: {win}\Eole\cliscribe\cliscribe_dll.dll; Flags: uninsdeletekey; MinVersion: 0,5.0.2195
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\Notify\cliscribe; ValueType: string; ValueName: Logon; ValueData: ELogon; Flags: uninsdeletekey; MinVersion: 0,5.0.2195
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\Notify\cliscribe; ValueType: string; ValueName: Logoff; ValueData: ELogoff; Flags: uninsdeletekey; MinVersion: 0,5.0.2195
Root: HKLM; SubKey: SOFTWARE\Eole\cliscribe; ValueType: string; ValueName: logon_exe; Flags: uninsclearvalue; MinVersion: 0,5.0.2195
Root: HKLM; SubKey: SOFTWARE\Eole\cliscribe; ValueType: string; ValueName: logon_exe_user; ValueData: {win}\Eole\cliscribe\logon.exe; Flags: uninsclearvalue; MinVersion: 0,5.0.2195
Root: HKLM; SubKey: SOFTWARE\Eole\cliscribe; ValueType: string; ValueName: logoff_exe; ValueData: ; Flags: uninsclearvalue; MinVersion: 0,5.0.2195
Root: HKLM; SubKey: SOFTWARE\Eole\cliscribe; ValueType: string; ValueName: logoff_exe_user; ValueData: ; Flags: uninsclearvalue; MinVersion: 0,5.0.2195
Root: HKLM; SubKey: SOFTWARE\Eole\cliscribe; ValueType: string; ValueName: debug; ValueData: 0; Flags: uninsclearvalue; MinVersion: 0,5.0.2195

; ultravnc XP (import avec IStools http://www.istool.org/)
Root: HKLM; Subkey: SOFTWARE\ORL\WinVNC3; Flags: uninsdeletekey; MinVersion: 0,4.0.1381
Root: HKLM; Subkey: SOFTWARE\UltraVnc\mslogon; Flags: uninsdeletekey; MinVersion: 0,4.0.1381
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\Run; ValueType: string; ValueName: WinVNC; ValueData: {app}\ultravnc\winvnc.exe -servicehelper; Flags: uninsdeletekey; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: MSLogonRequired; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: NewMSLogon; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: binary; ValueName: ACL; ValueData: 02 00 08 00 00 00 00 00; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: DebugMode; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: DebugLevel; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: AllowLoopback; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: LoopbackOnly; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: DisableTrayIcon; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: UseDSMPlugin; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: dword; ValueName: ConnectPriority; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3; ValueType: binary; ValueName: DSMPlugin; ValueData: 00 bb a8 80 40 22 a9 80 18 7c 54 80 10 7c 54 80 80 c8 1c 00 ff ff ff ff c8 cb 61 fa 1e 2a 57 80 0c f0 1e 00 38 7c 54 80 00 00 00 00 f8 b9 3f e1 10 ba 3f e1 47 fb 56 80 e0 bc a8 80 c8 cb 61 fa a2 fb 56 80 40 00 00 00 38 fd 97 80 10 ba 3f e1 fb 01 00 00 fa 01 00 00 4c bc a8 80 94 22 a9 80 f8 f9 18 01 2c 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 f9 18 01 d8 f5 93 80 e8 53 ae 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 49 f6 4e 80 78 5c 8a 80 85 6e 00 00 85 6e 00 00 78 5c 8a 80 78 74 bd ff fa 06 00 00 43 06 4f 80 fa 06 00 00 78 74 bd ff 00 f0 96 01 18 00 30 c0 00 00 00 00 fa 06 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 10 00 00 20 cc 61 fa bf 06 4f 80 18 00 30 c0 20 cc 61 fa 20 c5 4b 00 00 00 00 00 40 36 49 00 00 00 00 00; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: FileTransferEnabled; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: FTUserImpersonation; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: BlankMonitorEnabled; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: CaptureAlphaBlending; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: BlackAlphaBlending; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: DefaultScale; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: UseDSMPlugin; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: binary; ValueName: DSMPlugin; ValueData: 00 bb a8 80 40 22 a9 80 18 7c 54 80 10 7c 54 80 80 c8 1c 00 ff ff ff ff c8 cb 61 fa 1e 2a 57 80 0c f0 1e 00 38 7c 54 80 00 00 00 00 f8 b9 3f e1 10 ba 3f e1 47 fb 56 80 e0 bc a8 80 c8 cb 61 fa a2 fb 56 80 40 00 00 00 38 fd 97 80 10 ba 3f e1 fb 01 00 00 fa 01 00 00 4c bc a8 80 94 22 a9 80 f8 f9 18 01 2c 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 f9 18 01 d8 f5 93 80 e8 53 ae 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 49 f6 4e 80 78 5c 8a 80 85 6e 00 00 85 6e 00 00 78 5c 8a 80 78 74 bd ff fa 06 00 00 43 06 4f 80 fa 06 00 00 78 74 bd ff 00 f0 96 01 18 00 30 c0 00 00 00 00 fa 06 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 10 00 00 20 cc 61 fa bf 06 4f 80 18 00 30 c0 20 cc 61 fa 20 c5 4b 00 00 00 00 00 40 36 49 00 00 00 00 00; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: SocketConnect; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: HTTPConnect; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: XDMCPConnect; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: AutoPortSelect; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: InputsEnabled; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: LocalInputsDisabled; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: IdleTimeout; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: QuerySetting; ValueData: $00000002; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: QueryTimeout; ValueData: $0000000a; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: QueryAccept; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: LockSetting; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: RemoveWallpaper; ValueData: $00000001; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: binary; ValueName: Password; ValueData: 5a fd 3f 83 9f cd ab 86; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: AllowShutdown; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: AllowProperties; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\ORL\WinVNC3\Default; ValueType: dword; ValueName: AllowEditClients; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\UltraVnc\mslogon; ValueType: binary; ValueName: group1; ValueData: 70 72 6f 66 65 73 73 65 75 72 73 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\UltraVnc\mslogon; ValueType: binary; ValueName: group2; ValueData: 00 64 6d 69 6e 69 73 74 72 61 74 6f 72 73 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 df 0f 01 00 00 15 00 f5 16 f4 77 07 00 00 00 d8 07 15 00 00 00 15 00 80 a9 16 00 e0 de 0f 01 00 00 00 00 f8 e0 0f 01 02 24 f7 77 20 55 f6 77 ff ff; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\UltraVnc\mslogon; ValueType: binary; ValueName: group3; ValueData: 00 4e 43 56 49 45 57 4f 4e 4c 59 00 44 e1 0f 01 68 e1 0f 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\UltraVnc\mslogon; ValueType: dword; ValueName: locdom1; ValueData: $00000002; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\UltraVnc\mslogon; ValueType: dword; ValueName: locdom2; ValueData: $00000000; MinVersion: 0,4.0.1381
Root: HKLM; SubKey: SOFTWARE\UltraVnc\mslogon; ValueType: dword; ValueName: locdom3; ValueData: $00000000; MinVersion: 0,4.0.1381

; configuration 9x
Root: HKLM; SubKey: Network\Logon; ValueType: dword; ValueName: MustBeValidated; ValueData: $0000001; MinVersion: 4.0.950,0; Flags: uninsclearvalue
Root: HKLM; SubKey: Network\Logon; ValueType: dword; ValueName: LMLogon; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Network\Logon; ValueType: dword; ValueName: DontShowLastUser; ValueData: $00000001; MinVersion: 4.0.950,0; Flags: uninsclearvalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Network; ValueType: dword; ValueName: DisablePwdCaching; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\VxD\VNETSUP; ValueType: string; ValueName: Workgroup; ValueData: {param:nom_domaine|workgroup}; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\MSNP32\NetworkProvider; ValueType: string; ValueName: AuthenticatingAgent; ValueData: {param:nom_domaine|workgroup}; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\MSNP32\NetworkProvider; ValueType: binary; ValueName: LogonDisconnected; ValueData: 01 00 00 00; MinVersion: 4.0.950,0
; ultravnc 9x (import avec IStools http://www.istool.org/)
Root: HKLM; SubKey: Software\UltraVnc\mslogon; MinVersion: 4.0.950,0; Flags: uninsdeletekey
Root: HKLM; SubKey: Software\ORL\WinVNC3; MinVersion: 4.0.950,0; Flags: uninsdeletekey
Root: HKLM; SubKey: Software\Microsoft\Windows\CurrentVersion\RunServices; ValueType: string; ValueName: WinVNC; ValueData: """{app}\ultravnc\WINVNC.EXE"" -service"; MinVersion: 4.0.950,0; Flags: uninsclearvalue
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: DebugMode; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: DebugLevel; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: AllowLoopback; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: LoopbackOnly; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: DisableTrayIcon; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: MSLogonRequired; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: NewMSLogon; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: UseDSMPlugin; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: dword; ValueName: ConnectPriority; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3; ValueType: binary; ValueName: DSMPlugin; ValueData: 00 63 6b 33 32 2e 64 6c 6c 2c 20 76 65 72 32 2e 32 2c 20 33 32 62 69 74 20 6f 66 20 41 70 72 20 32 32 20 31 39 39 39 2c 20 61 74 20 32 30 3a 32 39 3a 33 32 2e 00 00 00 b8 46 4c 00 90 06 00 80 e0 09 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 40 00 65 e2 f7 bf 00 00 40 00 d2 e1 f7 bf 00 00 40 00 d8 f7 73 00 00 00 40 00 00 00 40 00 ac fd 73 00 37 05 f8 bf 00 00 40 00 01 00 40 00 10 11 a7 00 00 00 00 00 00 00 00 00 00 00 00 00 00 fd 73 00 b8 cb 03 00 00 00 40 00 74 f7 73 00 a8 f7 73 00 00 00 00 00 28 f8 73 00 b4 05 fc bf 00 95 f7 bf ff ff ff ff f0 f7 73 00 bb 0b f8 bf 00 00 40 00 e0 49 4c 00 18 f8 73 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 e0 49 4c 00 18 f8 73 00 00 00 00 00 00 00 00 00 3e 00 00 00 20 c5 4b 00 00 00 00 00 40 36 49 00 35 2e 00 00; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: FileTransferEnabled; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: FTUserImpersonation; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: BlankMonitorEnabled; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: CaptureAlphaBlending; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: BlackAlphaBlending; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: DefaultScale; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: UseDSMPlugin; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: binary; ValueName: DSMPlugin; ValueData: 00 63 6b 33 32 2e 64 6c 6c 2c 20 76 65 72 32 2e 32 2c 20 33 32 62 69 74 20 6f 66 20 41 70 72 20 32 32 20 31 39 39 39 2c 20 61 74 20 32 30 3a 32 39 3a 33 32 2e 00 00 00 b8 46 4c 00 90 06 00 80 e0 09 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 40 00 65 e2 f7 bf 00 00 40 00 d2 e1 f7 bf 00 00 40 00 d8 f7 73 00 00 00 40 00 00 00 40 00 ac fd 73 00 37 05 f8 bf 00 00 40 00 01 00 40 00 10 11 a7 00 00 00 00 00 00 00 00 00 00 00 00 00 00 fd 73 00 b8 cb 03 00 00 00 40 00 74 f7 73 00 a8 f7 73 00 00 00 00 00 28 f8 73 00 b4 05 fc bf 00 95 f7 bf ff ff ff ff f0 f7 73 00 bb 0b f8 bf 00 00 40 00 e0 49 4c 00 18 f8 73 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 e0 49 4c 00 18 f8 73 00 00 00 00 00 00 00 00 00 3e 00 00 00 20 c5 4b 00 00 00 00 00 40 36 49 00 35 2e 00 00; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: SocketConnect; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: HTTPConnect; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: XDMCPConnect; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: AutoPortSelect; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: InputsEnabled; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: LocalInputsDisabled; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: IdleTimeout; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: QuerySetting; ValueData: $00000002; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: QueryTimeout; ValueData: $0000000a; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: QueryAccept; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: LockSetting; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: RemoveWallpaper; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: binary; ValueName: Password; ValueData: 5a fd 3f 83 9f cd ab 86; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: AllowShutdown; ValueData: $00000001; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: AllowProperties; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\ORL\WinVNC3\Default; ValueType: dword; ValueName: AllowEditClients; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\UltraVnc\mslogon; ValueType: binary; ValueName: group1; ValueData: 50 52 4f 46 45 53 53 45 55 52 53 00 ff ff ff ff f0 f7 73 00 bb 0b f8 bf 00 00 40 00 e0 49 4c 00 18 f8 73 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 e0 49 4c 00 18 f8 73 00 00 00 00 00 00 00 00 00 3e 00 00 00 20 c5 4b 00 00 00 00 00 40 36 49 00 35 2e 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\UltraVnc\mslogon; ValueType: binary; ValueName: group2; ValueData: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\UltraVnc\mslogon; ValueType: binary; ValueName: group3; ValueData: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\UltraVnc\mslogon; ValueType: dword; ValueName: locdom1; ValueData: $00000002; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\UltraVnc\mslogon; ValueType: dword; ValueName: locdom2; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Software\UltraVnc\mslogon; ValueType: dword; ValueName: locdom3; ValueData: $00000000; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\VxD\FILESEC; ValueType: string; ValueName: StaticVxD; ValueData: filesec.vxd; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\VxD\FILESEC; ValueType: binary; ValueName: Start; ValueData: 00; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\VxD\FILESEC; ValueType: binary; ValueName: NetClean; ValueData: 01; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\VxD\MSSP; ValueType: string; ValueName: StaticVxD; ValueData: mssp.vxd; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\VxD\MSSP; ValueType: binary; ValueName: Start; ValueData: 00; MinVersion: 4.0.950,0
Root: HKLM; SubKey: System\CurrentControlSet\Services\VxD\MSSP; ValueType: binary; ValueName: NetClean; ValueData: 01; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Security\Provider; ValueType: binary; ValueName: Platform_Type; ValueData: 02 00 00 00; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Security\Provider; ValueType: string; ValueName: Address_Book; ValueData: msab32.dll; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Security\Provider; ValueType: string; ValueName: Container; ValueData: {param:nom_domaine|workgroup}; MinVersion: 4.0.950,0
Root: HKLM; SubKey: Security\Provider; ValueType: string; ValueName: Address_Server; ValueData: {param:nom_scribe|scribe}; MinVersion: 4.0.950,0

[Run]
; installation du service (XP seulement)
Filename: {app}\cliscribe\servscribe.exe; Parameters: -install -auto -interactive; Flags: runhidden; MinVersion: 0,4.0.1381
;Filename: {sys}\net.exe; Parameters: start servscribe; Flags: runhidden; MinVersion: 0,4.0.1381
; installation de ultravnc
; XP
Filename: {app}\ultravnc\winvnc.exe; Parameters: -sinstall; Flags: runhidden; MinVersion: 0,4.0.1381
;Filename: {sys}\net.exe; Parameters: start winvnc; Flags: runhidden; MinVersion: 0,4.0.1381
; 9x
; wipfw seulement pour XP
Filename: {win}\system32\ipfw.exe; Parameters: install_drv {win}\System32\DRIVERS\ip_fw.sys; Flags: runhidden; MinVersion: 0,5.0.2195
Filename: {sys}\net.exe; Parameters: start ip_fw; Flags: runhidden; MinVersion: 0,5.0.2195
Filename: {win}\system32\ipfw.exe; Parameters: install {app}\wipfw\config.cmd; Flags: runhidden; MinVersion: 0,5.0.2195
Filename: {sys}\net.exe; Parameters: start ipfw; Flags: runhidden; MinVersion: 0,5.0.2195
Filename: {sys}\net.exe; Parameters: start servscribe; Flags: runhidden; MinVersion: 0,5.0.2195

[UninstallRun]
; XP
Filename: {sys}\net.exe; Parameters: stop winvnc; Flags: runhidden; MinVersion: 0,4.0.1381
Filename: {sys}\net.exe; Parameters: stop servscribe; Flags: runhidden; MinVersion: 0,4.0.1381
Filename: {sys}\sc.exe; Parameters: delete servscribe; Flags: runhidden; MinVersion: 0,4.0.1381
Filename: {sys}\sc.exe; Parameters: delete winvnc; Flags: runhidden; MinVersion: 0,4.0.1381
; 9x
Filename: {app}\ultravnc\winvnc.exe; Parameters: -kill; Flags: runhidden; MinVersion: 4.0.950,0
Filename: {sys}\net.exe; Parameters: stop /y ip_fw; Flags: runhidden; MinVersion: 0,5.0.2195
Filename: {win}\system32\ipfw.exe; Parameters: remove_drv; Flags: runhidden; MinVersion: 0,5.0.2195
Filename: {win}\system32\ipfw.exe; Parameters: remove; Flags: runhidden; MinVersion: 0,5.0.2195

[Code]
procedure ConfigWipfw();
var
   fichier : String;
   s : String;
begin
   fichier:=ExpandConstant('{app}\wipfw\wipfw.conf');

   s:='# First flush the firewall rules'+#13#10;
   s:=s+'-f flush'+#13#10+#13#10;
   s:=s+'add 001 allow all from any to any via lo*'+#13#10;

   s:=s+'# check-state + keep-state = related, established en iptables'+#13#10;
   s:=s+'add 002 check-state'+#13#10;

   s:=s+'# Autoriser les connexions depuis Scribe'+#13#10;
   s:=s+'add 010 allow all from '+ExpandConstant('{param:ip_scribe|any}')+' to any keep-state'+#13#10;

   s:=s+'# Autoriser les connexions vers Scribe'+#13#10;
   s:=s+'add 011 allow all from me to '+ExpandConstant('{param:ip_scribe|any}')+' keep-state'+#13#10;

   s:=s+'# gestion des flux DNS (port 53)'+#13#10;
   s:=s+'add 012 allow udp from any 53 to me keep-state'+#13#10;
   s:=s+'add 013 allow udp from me to any 53 keep-state'+#13#10;

   s:=s+'# gestion des flux VNC'+#13#10;
   s:=s+'add 020 allow tcp from me to any 5500,5800,5900 keep-state'+#13#10;
   s:=s+'add 021 allow udp from me to any 5500,5800,5900 keep-state'+#13#10;
   s:=s+'add 022 allow tcp from any to me 5500,5800,5900 keep-state'+#13#10;
   s:=s+'add 023 allow udp from any to me 5500,5800,5900 keep-state'+#13#10;

   if ( FileExists( fichier ) ) then
      DeleteFile( fichier ) ;
   SaveStringToFile(fichier, s, False);
end;

// effectu par le service de MAJ
//// vrifie s'il s'agit d'une MAJ ou d'une install
//function IsUpgrade(): Boolean;
//var
//   sPrevPath: String;
//begin
//  sPrevPath := '';
//  RegQueryStringValue(HKLM, 'Software\Microsoft\Windows\CurrentVersion\Uninstall\CliScribe_is1', 'UninstallString', sPrevpath);
//  Result := (sPrevPath <> '');
//end;
//
//// arrte dsinstalle les services
//procedure RemoveService;
//var
//  ResultCode: Integer;
//begin
////  Exec(FileName, '', '', SW_SHOWNORMAL, ewNoWait, ResultCode)
////  Exec(ExpandConstant('{sys}\net.exe'), 'stop servscribe', '', SW_SHOWNORMAL, ewWaitUntilTerminated, ResultCode);
//  Exec(ExpandConstant('{sys}\net.exe'), 'stop servscribe', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
//  Exec(ExpandConstant('{sys}\net.exe'), 'stop winvnc', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
//  Exec(ExpandConstant('{sys}\sc.exe'), 'delete servscribe', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
//  Exec(ExpandConstant('{sys}\sc.exe'), 'delete winvnc', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
//end;
//
//// procdure appele lors de la prparation de l'install (cf doc InnoSetup)
//procedure InitializeWizard();
//begin
//  if IsUpgrade then
//    RemoveService;
////  Result := True;
//
//end;
